unit uMemo_1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls;

type
  TNotizen = class(TForm)
    Gross: TButton;
    loeschen: TButton;
    Info: TMemo;
    Ende: TButton;
    procedure EndeClick(Sender: TObject);
    procedure loeschenClick(Sender: TObject);
    procedure GrossClick(Sender: TObject);
    procedure Start(Sender: TObject);
  private
    { Private-Deklarationen }
  public
    { Public-Deklarationen }
  end;

var
  Notizen: TNotizen;

implementation

{$R *.DFM}

procedure pause(zeit:LongInt);
 {eigene Prozedur}
 var anfang:LongInt;
 begin anfang:=GetTickCount;
       while GetTickCount<anfang+zeit do
       Application.ProcessMessages;
 end;

procedure TNotizen.EndeClick(Sender: TObject);
begin
   close;
end;

procedure TNotizen.loeschenClick(Sender: TObject);
begin
   info.lines.clear;
   info.setfocus;
end;

procedure TNotizen.GrossClick(Sender: TObject);
var z, i : integer;
    zeile : string;
begin
   Info.ScrollBars:=ssBoth;
   Info.WordWrap:=False;
   for z:=0 to Info.Lines.Count-1 do
     begin
        zeile:=Info.Lines[z];
          for i:=1 to Length(zeile) do
            begin
              zeile:=Uppercase(zeile);
              Info.Lines[z]:=zeile;
              pause(100);
            end;
   end;

end;

procedure TNotizen.Start(Sender: TObject);
begin
  info.setfocus;
end;

end.
